On 10.10.2016 23:30, John Popowitch wrote:

Hello FreeIPA community.

I've inherited a group of three FreeIPA v4.2 servers on CentOS 7.2.

I had to reboot one of the servers and now IPA won't run saying, "Upgrade required: please run ipa-server-upgrade command."

But when I run ipa-server-upgrade I get an error:

ipa: ERROR: Upgrade failed with This entry already exists

When I run it in debug mode the last action before the error is:

ipa.ipaserver.install.plugins.update_managed_permissions.update_managed_permissions: DEBUG: Updating managed permission: System: Modify Certificate Profile

It appears that several of the other managed permissions are processed successfully.

When I look in the UI on one of the other servers it appears that this permission exists under IPA Server -> Role Based Access Control -> Permissions.

I'm not familiar with FreeIPA so any help would be greatly appreciated.

Thanks in advance.



can you post the related part of ipaupgrade.log here?

Manage your subscription for the Freeipa-users mailing list:
Go to http://freeipa.org for more info on the project

Reply via email to